datacache <- new.env(hash=TRUE, parent=emptyenv())

mgu74bv2_dbconn <- function() dbconn(datacache)
mgu74bv2_dbfile <- function() dbfile(datacache)
mgu74bv2_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mgu74bv2_dbInfo <- function() dbInfo(datacache)

mgu74bv2ORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mgu74bv2.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.RODENTCHIP_DB("mgu74bv2", "chip mgu74bv2", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mgu74bv2_dbconn())
}

